package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.bo.tuple.Tuple2;
import org.wcs.model.dto.serve.stcokComposeTask.QueryStockComposeTaskReq;
import org.wcs.model.po.app.AppStockComposeTaskBak;

import java.util.List;

public interface AppStockComposeTaskBakService extends IService<AppStockComposeTaskBak> {

    Tuple2<Long, List<AppStockComposeTaskBak>> query(QueryStockComposeTaskReq queryTaskReq, Integer pageSize, Integer pageIndex); // 模糊条件查询
    boolean insertThrowEx(AppStockComposeTaskBak appStockComposeTaskBak);
    AppStockComposeTaskBak queryByTaskId(String taskId); // 根据任务ID查询
    List<AppStockComposeTaskBak> query(QueryStockComposeTaskReq queryTaskReq);
    List<AppStockComposeTaskBak> queryByUpperTaskId(String upperTaskId);
}
